
QGIS Application - Bug report #12310

Inconsistent handling of 3D and 4D postgis data

2015-03-04 02:05 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20488

Description

4D geometries are "flattened" down to 2D (using Force2D) while 3D geometries (both 3DZ and 3DM) are kept that way.

This is inconsistent. Either we should allow 3d, thus forcing 4D to 3d (3dz or 3dm) or we should never flat and keep

all the dimensions. If we flat to 3d we should choose whether we keep Z or M and if we keep Z I guess we can then

flatten down 3dM to 2D as well...

\\cc @mhugo @jef

See also #1473

Related issues:

Related to QGIS Application - Feature request # 1473: 3dz/3dm/4d support Closed

Related to QGIS Application - Bug report # 9032: LINESTRINGM not displayed Closed 2013-11-08

History

#1 - 2015-03-04 03:07 AM - Jürgen Fischer

See also QEP#8

#2 - 2015-06-04 12:31 AM - Jürgen Fischer

- Category set to Data Provider/PostGIS

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
https://github.com/mhugent/QGIS-Enhancement-Proposals/blob/master/QEP-8-geometry_redesign.rst
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

